name: nuget-upload-nupkg
description: "Upload a nupkg to a NuGet repository."
inputs:
  package:
    description: "Name of the package to search for."
    required: true
  source:
    description: "Name of the source to use."
    required: true
    default: lewdorg
  url:
    description: "Url of the NuGet repository."
    required: true
    default: ${{ github.server_url }}/_registry/nuget/${{ github.repository_owner }}/index.json
  username:
    description: "Username for the nuget repository to search."
    required: true
    default: ${{ github.actor }}
  password:
    description: "Password or ApiKey of the nuget repository to search."
    required: true
    default: ${{ github.token }}
  options:
    description: "Additional options when uploading."
    required: false
runs:
  using: "composite"
  steps:
  - name: "Run nuget push."
    id: nuget
    uses: act/common/nuget/nuget@master
    with:
      command: push ${{ inputs.package }} -Source ${{ inputs.source }} ${{ inputs.options }}
      username: ${{ inputs.username }}
      password: ${{ inputs.password }}
      source: ${{ inputs.source }}
      url: ${{ inputs.url }}
